summaryrefslogtreecommitdiffstats
path: root/accessibility
diff options
context:
space:
mode:
author Bob Funk <bobfunk11@gmail.com>2023-05-25 21:01:46 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-05-27 08:08:46 +0700
commit948bc0c2ce59b68f4866c4e0370bb640fa61a20b (patch)
tree9f3da3383a5abed3316c70dd8d151594f6837b13 /accessibility
parent0cdbefeb2372aa48efe6b9830422b734f8021b00 (diff)
downloadslackbuilds-948bc0c2ce59b68f4866c4e0370bb640fa61a20b.tar.gz
slackbuilds-948bc0c2ce59b68f4866c4e0370bb640fa61a20b.tar.xz
accessibility/orca: Added (Orca Screen Reader)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'accessibility')
-rw-r--r--accessibility/orca/README17
-rw-r--r--accessibility/orca/doinst.sh6
-rw-r--r--accessibility/orca/orca.SlackBuild112
-rw-r--r--accessibility/orca/orca.info10
-rw-r--r--accessibility/orca/slack-desc19
5 files changed, 164 insertions, 0 deletions
diff --git a/accessibility/orca/README b/accessibility/orca/README
new file mode 100644
index 0000000000..51e88b7001
--- /dev/null
+++ b/accessibility/orca/README
@@ -0,0 +1,17 @@
+Orca is a free, open source, flexible, and extensible screen reader
+that provides access to the graphical desktop via user-customizable
+combinations of speech and/or braille.
+
+Orca works with applications and toolkits that support the assistive
+technology service provider interface (AT-SPI), which is the primary
+assistive technology infrastructure for the Solaris and Linux
+operating environments. Applications and toolkits supporting the
+AT-SPI include the GNOME GTK+ toolkit, the Java platform's Swing
+toolkit, OpenOffice/LibreOffice, Gecko, and WebKitGtk. AT-SPI support
+for the KDE Qt toolkit is currently being pursued.
+
+See also http://wiki.gnome.org/Projects/Orca for detailed information
+on Orca, including how to run Orca, how to communicate with the Orca
+user community, and where to log bugs and feature requests.
+
+brltty and liblouis are optional dependencies for braille support.
diff --git a/accessibility/orca/doinst.sh b/accessibility/orca/doinst.sh
new file mode 100644
index 0000000000..19400050fd
--- /dev/null
+++ b/accessibility/orca/doinst.sh
@@ -0,0 +1,6 @@
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/accessibility/orca/orca.SlackBuild b/accessibility/orca/orca.SlackBuild
new file mode 100644
index 0000000000..27413dff26
--- /dev/null
+++ b/accessibility/orca/orca.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/bash
+
+# Slackware build script for orca
+
+# Copyright 2023, Bob Funk, Winnipeg Canada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=orca
+VERSION=${VERSION:-41.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ABOUT-NLS AUTHORS COPYING ChangeLog \
+ MAINTAINERS NEWS README README.md TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/accessibility/orca/orca.info b/accessibility/orca/orca.info
new file mode 100644
index 0000000000..14aecdb89a
--- /dev/null
+++ b/accessibility/orca/orca.info
@@ -0,0 +1,10 @@
+PRGNAM="orca"
+VERSION="41.3"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/orca"
+DOWNLOAD="https://download.gnome.org/core/41/41.8/sources/orca-41.3.tar.xz"
+MD5SUM="17137c9b9b7a23628b2dc72a2506ab29"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="pyatspi"
+MAINTAINER="Bob Funk"
+EMAIL="bobfunk11@gmail.com"
diff --git a/accessibility/orca/slack-desc b/accessibility/orca/slack-desc
new file mode 100644
index 0000000000..d05655fba1
--- /dev/null
+++ b/accessibility/orca/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+orca: orca (Orca Screen Reader)
+orca:
+orca: Orca is a free, open source, flexible, and extensible screen reader
+orca: that provides access to the graphical desktop via user-customizable
+orca: combinations of speech and/or braille.
+orca:
+orca:
+orca:
+orca:
+orca: https://gitlab.gnome.org/GNOME/orca
+orca: